// COPYRIGHT (C) 1990-1999.  All Rights Reserved. - BITMAP4.HPP
// Zinc Software Incorporated.  Pleasant Grove, Utah  USA
// May be freely copied, used and distributed.

class ZafAnimatedBitmap : public MyBitmap
{
public:
	// --- General members ---
	ZafAnimatedBitmap(int left, int top, int width, int height,
		ZafIChar *bitmapSeriesName, int numberOfBitmaps, int timerInterval = 250);
	~ZafAnimatedBitmap(void);
	virtual ZafEventType Event(const ZafEventStruct &event);

	// get
	virtual bool Animated(void) { return animated; }
	virtual int BitmapIndex(void) { return bitmapIndex; }
	virtual ZafIChar *BitmapSeriesName(void) { return bitmapSeriesName; }
	virtual int NumberOfBitmaps(void) { return numberOfBitmaps; }
	virtual int TimerInterval(void) { return timerInterval; }

	// set
	virtual bool SetAnimated(bool animated);
	virtual void SetBitmapData(void);
	virtual void SetBitmapIndex(int bitmapIndex);
	virtual void SetNumberOfBitmaps(int numberOfBitmaps);
	virtual void SetBitmapSeriesName(ZafIChar *bitmapSeriesName);
	virtual void SetTimerInterval(int interval);

protected:
	ZafTimer *bitmapTimer;
	ZafIChar *bitmapSeriesName;
	int bitmapIndex;
	int numberOfBitmaps;
	int timerInterval;
	bool animated;
};
